python3-nltk_3.4-1ubuntu0.1_all.deb


Advertisement

Description

python3-nltk - Python3 libraries for natural language processing

Property Value
Distribution Ubuntu 19.04 (Disco Dingo)
Repository Ubuntu Updates Universe amd64
Package filename python3-nltk_3.4-1ubuntu0.1_all.deb
Package name python3-nltk
Package version 3.4
Package release 1ubuntu0.1
Package architecture all
Package type deb
Category universe/python
Homepage https://www.nltk.org/
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 921.07 KB
Installed size 5.40 MB
The Natural Language Toolkit (NLTK) is a leading platform for building
Python programs to work with human language data. It provides easy-to-use
interfaces to over 50 corpora and lexical resources such as WordNet,
along with a suite of text processing libraries for classification,
tokenization, stemming, tagging, parsing, and semantic reasoning.
This package contains the modules for Python3.

Alternatives

Package Version Architecture Repository
python3-nltk_3.4-1ubuntu0.1_all.deb 3.4 all Ubuntu Updates Universe
python3-nltk_3.4-1_all.deb 3.4 all Ubuntu Universe
python3-nltk_3.4-1_all.deb 3.4 all Ubuntu Universe
python3-nltk - - -

Requires

Name Value
python3-six -
python3:any >= 3.5~

Download

Type URL
Mirror archive.ubuntu.com
Binary Package python3-nltk_3.4-1ubuntu0.1_all.deb
Source Package nltk

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install python3-nltk deb package:
    # sudo apt-get install python3-nltk

Changelog

2019-08-08 - Mike Salvatore <mike.salvatore@canonical.com>
nltk (3.4-1ubuntu0.1) disco-security; urgency=medium
* SECURITY UPDATE: Zip Slip directory traversal via a malicious NLTK package
download
- debian/patches/CVE-2019-14751.patch: use built-in implementation of unzip
- CVE-2019-14751
2018-11-23 - Mo Zhou <cdluminate@gmail.com>
nltk (3.4-1) unstable; urgency=medium
* New upstream version 3.4
2018-05-12 - Mo Zhou <cdluminate@gmail.com>
nltk (3.3.0-1) unstable; urgency=medium
* New upstream version 3.3.0
* Bump X-Python3-Version to >= 3.5
* Remove the obsolete X-Python-Version field.
* Bump Standards-Version to 4.1.4 (no change).
2018-04-03 - Mo Zhou <cdluminate@gmail.com>
nltk (3.2.5-2) unstable; urgency=medium
* New Maintainer. (Closes: #816509)
+ Set Maintainer to Debian Science team.
+ Add myself as an Uploader.
* Point Vcs-* fields to Salsa.
* Bump debhelper compat level to 11.
* Update Standards-Version to 4.1.3, nothing to change.
* lintian/source: Override debian-rules-sets-DEB_BUILD_OPTIONS.
The upstream tests require some files downloaded from internet, which
are not accessible while building this package due to Debian Policy.
Hence disabling test via this variable.
2017-10-26 - Gianfranco Costamagna <locutusofborg@debian.org>
nltk (3.2.5-1) unstable; urgency=medium
[ Andreas Tille ]
* Remove invalid space at end of entry
[ Gianfranco Costamagna ]
* QA upload
* Make fields in https mode
* New upstream version 3.2.5
* Bump std-version to 4.1.1
2017-06-19 - Gianfranco Costamagna <locutusofborg@debian.org>
nltk (3.2.4-1) unstable; urgency=medium
* QA upload.
* New upstream release (LP: #1687974).
* Drop upstream patches.
* Update copyright years
* Drop explicit six dependency, now also oldstable has a newer
version
2017-06-19 - Daniel Stender <stender@debian.org>
nltk (3.2.1-3) unstable; urgency=medium
* Package is orphaned.
[ Andreas Tille ]
* Add publication data
[ Daniel Stender ]
* deb/control: put QA into Maintainer, drop Uploaders.
2016-05-31 - Gianfranco Costamagna <locutusofborg@debian.org>
nltk (3.2.1-2) unstable; urgency=high
* Team upload.
* Fix previous upload, by tweaking "use-six-package.diff"
to use system six package in another api place.
Closes: #825923
- thanks Raphaƫl Hertzog <hertzog@debian.org> for the useful report!
2016-05-17 - Gianfranco Costamagna <locutusofborg@debian.org>
nltk (3.2.1-1) unstable; urgency=medium
* Team upload.
* Fix watch file (now in https mode)
* Bump std-version to 3.9.8, no changes required.
* New upstream release, patch refresh.
* Drop fix-sfs-address.diff: upstream
* Update copyright years.
* Fix insecure VCS fields.
* Remove source/local-options file
2015-10-24 - Daniel Stender <debian@danielstender.com>
nltk (3.1-1) unstable; urgency=medium
* New upstream release.
* Don't use nltk/six.py but python-six:
+ added use-six-package.diff.
+ stripe out nltk/six.py via Files-Excluded in deb/copyright.
* deb/control: bumped X-Python-Version to 2.7.
* Added deb/README.Debian with info where to find a list of changes
(use override for dh_installdocs in deb/rules to contribute it
into both binaries).

See Also

Package Description
python3-octavia_4.0.0-0ubuntu1.1_all.deb OpenStack Load Balancer as a Service - Python libraries
python3-pyverbs_22.1-1ubuntu0.1_amd64.deb Pyverbs is a Python bindings for rdma-core
python3-rgw_13.2.6-0ubuntu0.19.04.4_amd64.deb Python 3 libraries for the Ceph librgw library
python3-seccomp_2.4.1-0ubuntu0.19.04.3_amd64.deb high level interface to Linux seccomp filter (Python 3 bindings)
python3-unbound_1.9.0-2ubuntu0.1_amd64.deb library implementing DNS resolution and validation (Python3 bindings)
python3.7-venv_3.7.3-2ubuntu0.1_amd64.deb Interactive high-level object-oriented language (pyvenv binary, version 3.7)
qemu-guest-agent_3.1+dfsg-2ubuntu3.5_amd64.deb Guest-side qemu-system agent
qemu-system-mips_3.1+dfsg-2ubuntu3.5_amd64.deb QEMU full system emulation binaries (mips)
qemu-system-misc_3.1+dfsg-2ubuntu3.5_amd64.deb QEMU full system emulation binaries (miscellaneous)
qemu-system-sparc_3.1+dfsg-2ubuntu3.5_amd64.deb QEMU full system emulation binaries (sparc)
qemu-system_3.1+dfsg-2ubuntu3.5_amd64.deb QEMU full system emulation binaries
qemu-user-binfmt_3.1+dfsg-2ubuntu3.5_amd64.deb QEMU user mode binfmt registration for qemu-user
qemu-user-static_3.1+dfsg-2ubuntu3.5_amd64.deb QEMU user mode emulation binaries (static version)
qemu-user_3.1+dfsg-2ubuntu3.5_amd64.deb QEMU user mode emulation binaries
qemu_3.1+dfsg-2ubuntu3.5_amd64.deb fast processor emulator, dummy package
Advertisement
Advertisement